[alpine-aports] [PATCH] removed obsolete libressl.patch

Tetsumaki
Details
Message ID
<20190202231154.26676-1-yd-alpine@tetsumaki.net>
Sender timestamp
1549149115
DKIM signature
missing
Download raw message
Patch: +1 -26
---
 main/openvpn/APKBUILD       |  4 +---
 main/openvpn/libressl.patch | 23 -----------------------
 2 files changed, 1 insertion(+), 26 deletions(-)
 delete mode 100644 main/openvpn/libressl.patch

diff --git a/main/openvpn/APKBUILD b/main/openvpn/APKBUILD
index 8662fbd..315a93b 100644
--- a/main/openvpn/APKBUILD
+++ b/main/openvpn/APKBUILD
@@ -2,7 +2,7 @@
 # Maintainer: Natanael Copa <ncopa@alpinelinux.org>
 pkgname=openvpn
 pkgver=2.4.6
-pkgrel=4
+pkgrel=5
 pkgdesc="A robust, and highly configurable VPN (Virtual Private Network)"
 url="http://openvpn.sourceforge.net/"
 arch="all"
@@ -12,7 +12,6 @@ depends="iproute2"
 makedepends="openssl-dev lzo-dev linux-pam-dev linux-headers"
 install="$pkgname.pre-install"
 source="http://swupdate.openvpn.net/community/releases/$pkgname-$pkgver.tar.gz
-	libressl.patch
 	openvpn.initd
 	openvpn.confd
 	openvpn.up
@@ -59,7 +58,6 @@ pam() {
 }
 
 sha512sums="cdd70bfd03177bc6cb70d0d614e40389df00816b7097740b4cda9d7bee094d1463fdb5afeaf604c52c7b3167d1edb098a2e095e131a8b9fed0ed8b29da90cbe8  openvpn-2.4.6.tar.gz
-5a083cdf8216db5e6e4577c00ccfe8e03ca318935ec9daa2018a8a6d4d7fd2b04fe395d7b329f16108101d69a6c0b70690883fda2cb552db7abf2f8246cc561f  libressl.patch
 3594937d4cc9d7b87ac6a3af433f651ed9695f41586994f9d9789554fbe3f87f054b997b89486eda4ae0b852d816aac9007222168d585910aa9f255073324bd9  openvpn.initd
 6b2353aca9df7f43044e4e37990491b4ba077e259ebe13b8f2eb43e35ca7a617c1a65c5bfb8ab05e87cf12c4444184ae064f01f9abbb3c023dbbc07ff3f9c84e  openvpn.confd
 cdb73c9a5b1eb56e9cbd29955d94297ce5a87079419cd626d6a0b6680d88cbf310735a53f794886df02030b687eaea553c7c569a8ea1282a149441add1c65760  openvpn.up
diff --git a/main/openvpn/libressl.patch b/main/openvpn/libressl.patch
deleted file mode 100644
index 6203597..0000000
--- a/main/openvpn/libressl.patch
@@ -1,23 +0,0 @@
-Patch for building OpenVPN with libressl, taken from Void Linux.
-
-diff -upr openvpn-2.4.5.orig/src/openvpn/openssl_compat.h openvpn-2.4.5/src/openvpn/openssl_compat.h
---- openvpn-2.4.5.orig/src/openvpn/openssl_compat.h	2018-03-20 11:29:16.324926371 +0100
-+++ openvpn-2.4.5/src/openvpn/openssl_compat.h	2018-03-20 11:29:22.118289384 +0100
-@@ -711,7 +711,7 @@ SSL_CTX_get_max_proto_version(SSL_CTX *c
- }
- #endif /* SSL_CTX_get_max_proto_version */
- 
--#ifndef SSL_CTX_set_min_proto_version
-+#if !defined(SSL_CTX_set_min_proto_version) && !defined(LIBRESSL_VERSION_NUMBER)
- /** Mimics SSL_CTX_set_min_proto_version for OpenSSL < 1.1 */
- static inline int
- SSL_CTX_set_min_proto_version(SSL_CTX *ctx, long tls_ver_min)
-@@ -740,7 +740,7 @@ SSL_CTX_set_min_proto_version(SSL_CTX *c
- }
- #endif /* SSL_CTX_set_min_proto_version */
- 
--#ifndef SSL_CTX_set_max_proto_version
-+#if !defined(SSL_CTX_set_max_proto_version) && !defined(LIBRESSL_VERSION_NUMBER)
- /** Mimics SSL_CTX_set_max_proto_version for OpenSSL < 1.1 */
- static inline int
- SSL_CTX_set_max_proto_version(SSL_CTX *ctx, long tls_ver_max)
-- 
2.20.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---